Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.jpd
Annotation Type Stateful

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public @interface Stateful

Annotation to configure additional information for a stateful process.

This annotation is not required for a process to be considered stateful.

Author:
  Copyright (c) 2004 by BEA Systems Inc. All Rights Reserved.

Optional Element Summary
`String` | `maxAge` The amount of time (since it started) that the conversation may remain active before it is finished by WebLogic Server.
`String` | `maxIdleTime` The amount of time that the process may remain idle before it is finished by WebLogic Server.
`boolean` | `runAsStartUser` Continue and finish methods will be run as the user who started the conversation
`boolean` | `singlePrincipal` If true, only the principal who started the conversation can continue and finish the conversation.

### maxIdleTime

    public abstract String maxIdleTime

  The amount of time that the process may remain idle before it is finished by WebLogic Server. Note that only activity between a process and its client will reset the idle timer; activity between a process and controls does not reset the idle timer. Conversations with 0-length idle timeout will never timeout due to inactivity

  Default:
    "0 seconds"

### maxAge

    public abstract String maxAge

  The amount of time (since it started) that the conversation may remain active before it is finished by WebLogic Server. Default: 1 day (24 hours).

  Default:
    "1 day"

### runAsStartUser

    public abstract boolean runAsStartUser

  Continue and finish methods will be run as the user who started the conversation

  Default:
    true

### singlePrincipal

    public abstract boolean singlePrincipal

  If true, only the principal who started the conversation can continue and finish the conversation. If false, a conversation can be continued and finished by another (appropriately authorized) user.

  Default:
    true

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT